org.apache.ignite.internal.client.thin

## Class ClientSslUtils

- java.lang.Object
- - org.apache.ignite.internal.client.thin.ClientSslUtils

    public class ClientSslUtils
    extends Object

### Field Summary

Fields
`static char[]` `EMPTY_CHARS`

### Constructor Summary

Constructors
Constructor and Description
`ClientSslUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static SSLContext` `getSslContext(ClientConfiguration cfg)` Gets SSL context for the given client configuration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_CHARS

    public static final char[] EMPTY_CHARS

### Constructor Detail

#### ClientSslUtils

    public ClientSslUtils()

### Method Detail

#### getSslContext

    public static SSLContext getSslContext(ClientConfiguration cfg)

Gets SSL context for the given client configuration.

Parameters:
  `cfg` - Configuration.
Returns:
  `SSLContext` when SSL is enabled in the configuration; null otherwise.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021